### Method

# Ggit Remote download

#### Declaration [src]

    gboolean
    ggit_remote_download (
      GgitRemote* remote,
      const gchar* const* specs,
      GgitFetchOptions* fetch_options,
      GError** error
    )

#### Description [src]

Connect to the remote if not yet connected, negotiate with the remote about which objects are missing and download the resulting packfile and its index.

#### Parameters

`specs`

  Type: An array of `gchar*`

  The ref specs.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`fetch_options`

  Type: `GgitFetchOptions`

  A `GgitFetchOptions`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.